Publish Android Application
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Publish Android Application action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Publish Android App",
"type": "ANDROID_PUBLISH_APK",
"trigger_time": "ON_EVERY_EXECUTION",
"application_id": "com.mycompany.mylovelyapp",
"track": "alpha",
"user_fraction": 0.05,
"mapping_path": "",
"changes_path": "changes.xml",
"supersede_versions": true,
"draft": true,
"variables": [
{
"key": "apkPath",
"value": "my-app-release9.apk"
}
],
"apk_files": [
{
"apk_path": "$apkPath",
"main_expansion_path": "ss",
"patch_expansion_path": ""
}
],
"integration": {
"identifier": "google-play"
}
}'STATUS200 OK